Module javafx.graphics
Package javafx.css

# Class SimpleStyleableDoubleProperty

java.lang.Object
javafx.beans.binding.NumberExpressionBase
javafx.beans.binding.DoubleExpression
javafx.beans.property.ReadOnlyDoubleProperty
javafx.beans.property.DoubleProperty
javafx.beans.property.DoublePropertyBase
javafx.css.StyleableDoubleProperty
javafx.css.SimpleStyleableDoubleProperty

All Implemented Interfaces:
  `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableDoubleValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableDoubleValue`, `WritableNumberValue`, `WritableValue<Number>`, `StyleableProperty<Number>`

    public class SimpleStyleableDoubleProperty
    extends StyleableDoubleProperty

This class extends `SimpleDoubleProperty` and provides a full implementation of a `StyleableProperty`. This class is used to make a `DoubleProperty`, that would otherwise be implemented as a `SimpleDoubleProperty`, styleable by CSS.

Since:
  JavaFX 8.0
See Also:
  `SimpleDoubleProperty`, `CssMetaData`, `StyleableProperty`, `StyleableDoubleProperty`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SimpleStyleableDoubleProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData)` | The constructor of the `SimpleStyleableDoubleProperty`.
  `SimpleStyleableDoubleProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData, Double initialValue)` | The constructor of the `SimpleStyleableDoubleProperty`.
  `SimpleStyleableDoubleProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData, Object bean, String name)` | The constructor of the `SimpleStyleableDoubleProperty`.
  `SimpleStyleableDoubleProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData, Object bean, String name, Double initialValue)` | The constructor of the `SimpleStyleableDoubleProperty`.

- ## Method Summary

  ### Methods declared in class javafx.beans.property.DoublePropertyBase

  `fireValueChangedEvent, invalidated, toString`

  ### Methods declared in class javafx.beans.property.DoubleProperty

  `asObject, doubleProperty`

  ### Methods declared in class javafx.beans.property.ReadOnlyDoubleProperty

  `readOnlyDoubleProperty`

  ### Methods declared in class javafx.beans.binding.DoubleExpression

  `add, add, add, add, add, divide, divide, divide, divide, divide, doubleExpression, doubleExpression, multiply, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract, subtract`

  ### Methods declared in class javafx.beans.binding.NumberExpressionBase

  `numberExpression`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.binding.NumberExpression

  `asString, asString, asString, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo`

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.beans.value.ObservableDoubleValue

  `get`

  ### Methods declared in interface javafx.beans.value.ObservableNumberValue

  `doubleValue, floatValue, intValue, longValue`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `addListener, getValue, removeListener`

  ### Methods declared in interface javafx.beans.property.Property

  `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

  ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

  ### Methods declared in interface javafx.css.StyleableProperty

  `applyStyle, getCssMetaData, getStyleOrigin`

  ### Methods declared in interface javafx.beans.value.WritableDoubleValue

  `get, set, setValue`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### SimpleStyleableDoubleProperty

    public SimpleStyleableDoubleProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData)
    The constructor of the `SimpleStyleableDoubleProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`

  - ### SimpleStyleableDoubleProperty

    public SimpleStyleableDoubleProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData, Double initialValue)
    The constructor of the `SimpleStyleableDoubleProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
      `initialValue` - the initial value of the wrapped `Object`

  - ### SimpleStyleableDoubleProperty

    public SimpleStyleableDoubleProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData, Object bean, String name)
    The constructor of the `SimpleStyleableDoubleProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
      `bean` - the bean of this `DoubleProperty`
      `name` - the name of this `DoubleProperty`

  - ### SimpleStyleableDoubleProperty

    public SimpleStyleableDoubleProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData, Object bean, String name, Double initialValue)
    The constructor of the `SimpleStyleableDoubleProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
      `bean` - the bean of this `DoubleProperty`
      `name` - the name of this `DoubleProperty`
      `initialValue` - the initial value of the wrapped `Object`